Odoo Help


[Product_variant_multi] Error creating dimension type

on 2/27/13, 9:22 PM 2,565 views

Using V7 on unix with product_variant_multi, I am trying to create a dimension type for handling size.

I open the Diemnsion Type creation menu : Warehourses > Products > Products Categories > Variant Dimension > Dimension Types. I filled all possible field of the form : Dimension & Description, checked : allow custom value & mandatory, Left "sequence" field with its default value : 0, add a Dimension option.

But I having the error :

Integrity Error
The operation cannot be completed, probably due to the following:
- deletion: you may be trying to delete a record while other records still reference it
- creation/update: a mandatory field is not correctly set
[object with reference: product_tmpl_id - product.tmpl.id]

What step did I missed ? I suspect the "random" value keyed into the Dimension option to be wrong. Does his value has to refer to something else ? I already tried to put the name of an option, but it doesn't work.

Regards, St.

On 2/27/13, 10:32 PM

Try using this branch: code.launchpad.net/~atin81/openerp-product-variant/openerp-product-variant/+merge/150947

Seems you are using a not v7 ready version of multi variant module

Thank you, as you said was a wrong version. I got it work with : https://code.launchpad.net/~akretion-team/openerp-product-variant/migr-v7-wip

on 3/18/13, 6:24 PM


--Borni DHIFI--
| 6 8 9
Tunis, Tunisia
--Borni DHIFI--

Techno Functional Consultant Odoo(OpenERP) 


Skype : dhifi.borni

On 6/14/13, 6:08 AM


modules migr-v7-wip : product_variant_multi and product_variant_multi_advanced it works without problems.

to complete the modules you can use :

product_variant_selection : Product Variants Selection for Invoices

product_variant_configurator : Products with multi-level variants configurator

sale_product_variant_selection : Product Variants Selection for Sale Orders

purchase_product_variant_selection : Product Variants Selection for Purchase Orders


and do have any idea about esale_osc module for version 7.0 ???

esale_osc which is used for zencart -openerp integration

esale_osc available for 7.0??

if not then how to update it from 6.1 to 7.0 ?? In which file i need to do modifications??

shashank verma
on 6/14/13, 7:36 AM

skype: dhifi.borni

on 6/14/13, 7:40 AM
shashank verma
On 6/14/13, 5:45 AM

can you provide me bug free module of multi variant for 6.1 version thanks

shashank verma

skype id


About This Community

This platform is for beginners and experts willing to share their Odoo knowledge. It's not a forum to discuss ideas, but a knowledge base of questions and their answers.


Odoo Training Center

Access to our E-learning platform and experience all Odoo Apps through learning videos, exercises and Quizz.

Test it now

Question tools

0 follower(s)


Asked: 2/27/13, 9:22 PM
Seen: 2565 times
Last updated: 3/16/15, 8:10 AM